/* New Form */

#new {
    display: grid;
    grid-template-columns: 600px 1fr;
    gap: 50px;
    padding-bottom: 40px;
    position: relative;
}

#newWrap {

}

#newForm {
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 10px;
    column-gap: 10px;
    align-items: center;
}

#newFormSave {
    grid-column: span 2;
}

#newStopwatch {
    position: sticky;
    top: 50px;
    height: fit-content;
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 30px;
    max-width: 300px;
    align-items: center;

}

#newStopwatchTime {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border: 4px solid var(--light-orange);
    padding: 24px;
    font-size: 24px;
    border-radius: 6px;
}

.newStopwatchTimeItem {
    width: 40px;
    text-align: center;
}

.newStopwatchTimeSpacer {
    position: relative;
    top: -2px;
    color: #838181;
}

#newStopwatchWrap {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 12px;
    align-items: stretch;
}

#newStopwatchToggle {
    font-size: 22px;
    padding: 10px;
    width: 100%;
    background-color: var(--black);
    color: white;
}

#newStopwatchToggle:hover {
    box-shadow: unset;
}

.newStopwatchStatus {
    display: flex;
    gap: 5px;
    height: auto;
    background-color: black;
    padding: 6px 20px;
    align-items: center;
    border-radius: 6px;
    flex-shrink: 0;
}

.newStopwatchStatusBar {
    width: 8px;
    height: 8px;
    background-color: #ff6700;
    opacity: 1;
}

.newStopwatchStatus.active .newStopwatchStatusBar {
    animation: pulse 0.6s infinite;
}

.newStopwatchStatus.active .newStopwatchStatusBar:nth-child(2) {
    animation-delay: 0.2s;
}

.newStopwatchStatus.active .newStopwatchStatusBar:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes pulse {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0.2;
    }
}

@media (max-width: 800px) {
    #new {
        grid-template-columns: 1fr;
    }

    #newForm {
        grid-template-columns: 1fr;
    }
}

/* Filters */

#filters {

}

#filtersForm {
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 10px;
    column-gap: 10px;
    align-items: center;
    margin-bottom: 10px;
    max-width: 600px;
    border-radius: 6px;
}

#filtersFormSubmit {
    grid-column: span 2;
}

/* Summary */

#summary {

}

#summaryData {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
}

#summaryDataOverall {

}

#summaryDataPerDay {

}

@media (max-width: 800px) {
    #summaryData {
        grid-template-columns: 1fr;
        row-gap: 20px;
    }
}

/* Entries */

#entries {

}

#entriesTable {
}

.entriesTableRow {

}

.entriesTableRowDelete {
    background-color: darkred;
}

/* Edit */

#edit {
    padding: 10px;
}

#editContent {
    background-color: white;
    padding: 20px;
    margin: auto;
    max-width: 500px;
    width: 100%;
    border-radius: 6px;
    border: 4px solid var(--light-orange);
}

#editForm {
    display: grid;
    grid-template-columns: auto 1fr;
    row-gap: 10px;
    column-gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}

#editFormSave {
    grid-column: span 2;
}

#editClose {
    text-decoration: underline;
}